# Uses of Interface
org.opensaml.xmlsec.encryption.KeyReference

Packages that use KeyReference
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of KeyReference in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return types with arguments of type KeyReference
Modifier and Type
Method
Description
`List<KeyReference>`
ReferenceList.`getKeyReferences()`
Get the list of key reference child elements.

## Uses of KeyReference in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement KeyReference
Modifier and Type
Class
Description
`class`
`KeyReferenceImpl`
Concrete implementation of `KeyReference`.
Methods in org.opensaml.xmlsec.encryption.impl that return KeyReference
Modifier and Type
Method
Description
`KeyReference`
KeyReferenceBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`KeyReference`
KeyReferenceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.encryption.impl that return types with arguments of type KeyReference
Modifier and Type
Method
Description
`List<KeyReference>`
ReferenceListImpl.`getKeyReferences()`
Get the list of key reference child elements.